import { Either } from '../types';
export declare const isEither: <E, A>(input: E | A | Either<E, A>) => input is Either<E, A>;
export declare const rightOf: <E, A>(data: A | Either<E, A>) => Either<E, A>;
export declare const leftOf: <E, A>(data: E | Either<E, A>) => Either<E, A>;
export declare const right: <E = [Error, "Specify Left type in right()"], A = [Error, "Specify Right type in right()"]>(value: A) => Either<E, A>;
export declare const left: <E = [Error, "Specify Left type in left()"], A = [Error, "Specify Right type in left()"]>(value: E) => Either<E, A>;
