export interface GameOfLife {
    countLivingNeighbours(row: number, col: number): number;
    setLivingCell(row: number, col: number): void;
    isDead(row: number, col: number): boolean;
    isAlive(row: number, col: number): boolean;
    computeNextGeneration(): void;
    dumpGrid(): string;
}
export declare const createGameOfLife: (width: number, height: number) => GameOfLife;
