import { Maybe } from '../types';
declare type OnceParams<A extends any[], R> = (...arg: A) => R;
export declare const constant: <A extends any[], R>(fn: OnceParams<A, R>) => OnceParams<A, R>;
export declare const repeat: <T>(times: number, factory: (index: number) => T) => T[];
export declare const rotate: <T>(n: number, arr: T[]) => T[];
export declare const chunk: <T>(size: number, arr: T[]) => T[][];
export declare const noop: () => void;
export declare const maybeFirst: <T>(array: T[]) => Maybe<T>;
export declare const maybeLast: <T>(array: T[]) => Maybe<T>;
export {};
