"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.maybe = exports.nothing = exports.just = void 0;
var either_1 = require("../either/either");
var just = function (value) { return (0, either_1.right)(value); };
exports.just = just;
var nothing = function () {
    return (0, either_1.left)(undefined);
};
exports.nothing = nothing;
var isNonNullable = function (data) {
    try {
        return !!Object.getPrototypeOf(data);
    }
    catch (_) {
        return false;
    }
};
var maybe = function (value) { return (isNonNullable(value) ? (0, exports.just)(value) : (0, exports.nothing)()); };
exports.maybe = maybe;
//# sourceMappingURL=maybe.js.map